libproxy (0.5.6-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update debian/libproxy1v5.symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:56:30 -0400

libproxy (0.5.4-4) unstable; urgency=medium

  * Revert 32-bit architecture bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 09:37:57 -0400

libproxy (0.5.4-3) unstable; urgency=medium

  * Set DPKG_GENSYMBOLS_CHECK_LEVEL to 0 with stage1 bootstrapping
  * Set stage1 profile for 32-bit architectures for time_t bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Mar 2024 11:36:38 -0400

libproxy (0.5.4-2) unstable; urgency=medium

  * Team upload
  * d/control: Add back transitional packages for the plugins.
    These provide smooth upgrades from Debian 12 and Ubuntu 22.04, and
    should be removed after Debian 13 and Ubuntu 24.04 are released.
    (Closes: #1064889)
  * d/tests/libproxy-tools: Don't depend on gsettings-desktop-schemas here.
    The autopkgtest should prove that the minimum dependencies are
    sufficient to run without crashing in a non-GNOME environment,
    which we can ensure by making one test not depend on g-s-d.
  * d/python3-libproxy.install: Remove obsolete packaging file
  * d/p/tests-Copy-pxProxyFactory-correctly.patch,
    d/p/px_proxy_factory_copy-Add-a-new-reference-to-the-manager.patch,
    d/p/tests-Don-t-leak-the-copied-pxProxyFactory.patch:
    Add proposed patches to fix internal PxManager refcounting
  * d/libproxy1v5.lintian-overrides: Silence library-not-linked-against-libc.
    libproxy links to GLib, and to a backend library that does the real
    work, so it genuinely does not have any direct dependency on libc
    and this is non-problematic.

 -- Simon McVittie <smcv@debian.org>  Tue, 27 Feb 2024 12:53:32 +0000

libproxy (0.5.4-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update symbols
  * Update autopkgtest
  * Rename webkit autopkgtest to pac
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Feb 2024 19:30:12 -0500

libproxy (0.5.3-2) experimental; urgency=medium

  * debian/tests:
    - Depends on gsettings-desktop-schemas, the gnome backend errors out
      if there is no schemas installed
    - use XDG_CURRENT_DESKTOP instead of DESKTOP_SESSION

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Feb 2024 11:53:41 +0100

libproxy (0.5.3-1) experimental; urgency=medium

  * New upstream release
    - Complete rewrite using C instead of C++
    - Plugins are no longer an option
  * Switch from cmake to meson
  * Drop plugin packages
  * Enable duktape PAC runner as replacement for webkitgtk version
    which is no longer provided
  * Build-Depend on libcurl4-gnutls-dev
  * Build-Depend on gsettings-desktop-schemas-dev & valac
  * Temporarily don't build gobject-introspection & docs
    to avoid trip through NEW. This also temporarily disables the unused
    vala support
  * Switch debian/copyright to 1.0 format
  * Add symbols file
  * Set Rules-Requires-Root: no
  * debian/libproxy1v5.install: Install libpxbackend-1.0.so
  * debian/libproxy-dev.install: Drop obsolete CMake module
  * debian/docs: NEWS → CHANGELOG.md
  * debian/libproxy-tools.manpages: Install upstream manpage
  * Drop obsolete debian/not-installed
  * Drop obsolete python autopkgtests (Closes: #1062373)
  * Drop all patches: either obsolete or applied in new release
  * Cherry-pick 2 patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Feb 2024 15:02:23 -0500

libproxy (0.4.18-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add debian/upstream/metadata
  * debian/rules: Explicitly disable duktape PAC runner for now
  * d/p/Fix-building-without-duktape.patch:
    Add patch to fix a build failure when duktape is disabled
  * Add patch from Fedora to switch from webkit2gtk 4.0 to 4.1
  * Update Build-Depends
  * Stop using debian/control.in and dh_gnome_clean
  * Stop building python3-libproxy since it is unused in Debian Testing
    and is no longer provided by libproxy 0.5
  * Update standards version to 4.6.2, no changes needed

  [ Simon McVittie ]
  * Acknowledge NMU (Closes: #1028638)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 10:55:12 -0500

libproxy (0.4.18-1.2) unstable; urgency=medium

  * NMU
  * Add patch by sre@debian.org to fix crash with glibproxyresolver
    (Closes: #1028638)

 -- Martin <debacle@debian.org>  Tue, 31 Jan 2023 18:39:31 +0000

libproxy (0.4.18-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 15:43:18 +0200

libproxy (0.4.17-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Cherrypick upstream patch to fix the build with python 3.10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:17:07 -0400

libproxy (0.4.17-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Drop patch from 0.4.16-2, included in this release
  * Standards-Version: 4.5.1 (no changes required)

  [ Helmut Grohne ]
  * Tag test dependencies with <!nocheck> (Closes: #979081)

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Jan 2021 11:38:24 +0000

libproxy (0.4.16-2) unstable; urgency=medium

  * Fix the loading of the python module, patch from upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 14 Dec 2020 18:39:25 +0100

libproxy (0.4.16-1) unstable; urgency=medium

  * New upstream release
    - Drop all the patches, they are included in this release
  * debian/not-installed: Do not package pacrunner module for now, pacrunner
    is not in debian yet, see: #977216

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Dec 2020 19:47:25 +0100

libproxy (0.4.15-15) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Add patch from upstream to fix buffer overflow when PAC is enabled
    (CVE-2020-26154) (Closes: #968366)
  * Add patch from upstream rewriting url::recvline to be nonrecursive
    (CVE-2020-25219) (Closes: #971394)

  [ Simon McVittie ]
  * Add additional bug-fix patches from upstream git
    - Fix memory leaks in the WebKit backend
    - Make sure mtime is initialized in the KDE backend
    - Correctly encode/decode Python Unicode strings (Closes: #959030)
    - Cope with settings larger than will fit in a single read() in the
      GSettings (GNOME 3) backend
    - Remove crash-prone proxy factory caching (Closes: #968363)
    - Make sure new/delete and new[]/delete[] are correctly paired
    - Disable mozjs backend by default
    - Never use a system copy of libmodman, even if one exists
    - Small performance optimizations (without which later patches
      won't apply)
    - Avoid deprecated C++ dynamic exception specifications
  * d/tests/mozjs: Remove obsolete test.
    We no longer compile the backend that this is responsible for testing.
  * d/tests: Remove flaky annotations.
    With the fixes I've imported from upstream git, these should hopefully
    all be reliable.
  * d/tests: Test default python3 version and all python3 versions
    separately.
    Add a missing dependency on python3-all for the python3-all test:
    during a transition between supported Python versions, we need both
    the old and the new version installed.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Nov 2020 16:37:55 +0000

libproxy (0.4.15-14) unstable; urgency=medium

  * Drop libproxy1-plugin-mozjs; use libproxy1-plugin-webkit instead
    - See https://github.com/libproxy/libproxy/pull/139 (Closes: #959805)
  * Drop unused CLI binding (Closes: #959031)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 27 Sep 2020 19:22:53 -0400

libproxy (0.4.15-13) unstable; urgency=medium

  * Team upload
  * libproxy1-plugin-gsettings: Depend on gsettings-desktop-schemas.
    gsettings-desktop-schemas defines the schema for GNOME 3 proxy settings,
    and looking up keys with no schema is an error.
    Detected by the autopkgtest coverage.
  * d/tests: Separate out test for gsettings backend.
    This has dependencies beyond those of libproxy.
  * d/tests: Add smoke-tests for the mozjs and webkit PAC interpreters
  * d/tests: Ask for additional debug logging
  * d/tests: Mark gsettings tests as flaky until upstream bug 116 is fixed.
    There seems to be a race condition in the gnome3 (gsettings) backend,
    to which proxy(1) is particularly susceptible.
  * d/tests: Add copyright/license information.
    These might be general enough to be useful to the upstream developer.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 May 2020 18:03:06 +0100

libproxy (0.4.15-12) unstable; urgency=medium

  [ Simon McVittie ]
  * Add undocumented changes to previous changelog entry
  * d/rules: Install Perl binding to the vendor path
  * d/rules: Don't build the Perl binding until we have a package for it
  * Install Findlibproxy.cmake in -dev package
  * d/rules: Remove leftover argument passed to dh_makeshlibs
  * d/not-installed: Skip usr/lib/mono/libproxy-sharp/libproxy-sharp.dll
  * d/tests: Add a smoke-test using libproxy-tools
  * d/tests: Add a failing test for the Python 3 binding
  * Backport a commit from upstream to fix warnings in GNOME environments

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Apr 2020 17:30:57 -0400

libproxy (0.4.15-11) unstable; urgency=medium

  * Bump debhelper-compat to 13
    - Stop passing -V to dh_makeshlibs, it is the default now
  * Bump Standards-Version to 4.5.0
  * d/rules: Remove redundant -Wl,--as-needed.
    bullseye toolchains already default to this.
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Apr 2020 21:25:44 -0400

libproxy (0.4.15-10) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * d/tests/build: Mark as superficial
  * d/tests/build: Fix shellcheck warnings
  * d/tests/build: Exercise linking with pkg-config

  [ Iain Lane ]
  * Revert "rules: Don't run the cli sequence in the clean target". The
    associated debhelper bug (#944225) is fixed.  This reverts commit
    7251356feb950abaa137ac5a4d5ead7f954d388e.
  * python-support-Python-3.9.patch: Cherry-pick patch to support newer
    python3
  * control, mozjs-Port-to-mozjs-68.patch: Move to mozjs68

 -- Iain Lane <laney@debian.org>  Wed, 11 Mar 2020 13:16:18 +0000

libproxy (0.4.15-9) unstable; urgency=medium

  * control, rules: Add dh-sequence-cli to BDI. Since 12.5, debhelper is
    supposed to support this properly (but see the next changelog entry).
  * rules: Don't run the cli sequence in the clean target.  We have this in
    Build-Depends-Indep. debhelper is supposed to do this for us, but due to
    bug #944225 it doesn't.

 -- Iain Lane <laney@debian.org>  Wed, 06 Nov 2019 11:07:02 +0000

libproxy (0.4.15-8) unstable; urgency=medium

  * Drop Build-Depends on dh-sequence-cli.
    Thanks to Simon McVittie (Closes: #942119)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 19:37:24 -0400

libproxy (0.4.15-7) unstable; urgency=medium

  * Move dh-sequence-cli & dh-sequence-python3 from Build-Depends-Indep
    to Build-Depends

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 09:22:09 -0400

libproxy (0.4.15-6) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop python-libproxy for python2 removal (Closes: #936906)
  * Add patch to have cmake find python 3.7

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-cli, dh-sequence-gnome & dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 06 Oct 2019 08:22:59 -0400

libproxy (0.4.15-5) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 20:21:13 -0500

libproxy (0.4.15-4) unstable; urgency=medium

  * Build the mozjs plugin against mozjs 60 and limit the architectures where
    the package is built as mozjs 60 FTBFS on several architectures (Closes:
    #912940)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Dec 2018 15:33:14 +0100

libproxy (0.4.15-3) unstable; urgency=medium

  * Reintroduce libproxy1-plugin-mozjs, the module now builds with mozjs 52
  * debian/control.in: Drop X-Python(3)-Version to please lintian
  * debian/control.in: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/rules: Use DEB_VERSION_UPSTREAM instead of SHLIBVER for the helpers

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Oct 2018 07:40:35 +0200

libproxy (0.4.15-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote python Build-Depends to Build-Depends-Indep (Closes: #909211)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 19 Sep 2018 19:04:50 -0400

libproxy (0.4.15-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop libproxy1-plugin-mozjs since it depends on an outdated version
    of mozjs. Use libproxy1-plugin-webkit instead. (Closes: #863783)
  * Drop fix-clean-reload-cache.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 28 Mar 2018 13:06:45 -0400

libproxy (0.4.14-4) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Update Maintainer
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 17:07:44 -0500

libproxy (0.4.14-3) unstable; urgency=medium

  [ Alexander Volkov ]
  * Don't build depend on libkf5config-bin on stage1 (Closes: #847365)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 27 May 2017 14:13:41 +0200

libproxy (0.4.14-2) unstable; urgency=medium

  * debian/patches/fix-clean-reload-cache.patch: Make sure that the PAC/WPAD
    cache is cleanup when network topology changes and prevent a segfault in
    the process, patches merged upstream.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Feb 2017 12:17:50 +0100

libproxy (0.4.14-1) unstable; urgency=medium

  * New upstream release.
  * Switch Build-Depends from network-manager-dev to the newer libnm-dev.
    While the code has a fallback for the older header files, the new ones
    provided by libnm are preferred by upstream.
  * Use DEB_LDFLAGS_MAINT_APPEND to pass additional flags to the linker.
  * Bump SHVER to 0.4.14.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Jan 2017 13:58:45 +0100

libproxy (0.4.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #844956).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 14:24:11 +0500

libproxy (0.4.13-1) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

  [ Jeremy Bicha ]
  * New upstream version
  * Add python3-libproxy package
  * Add debian/docs to install NEWS
  * debian/control.in debian/watch: Update homepage and watch URLs
  * debian/control.in:
    - Build-depend on libkf5config-bin instead of QT and KDE libs
    - Bump Standards-Version to 3.9.8
  * debian/libproxy1-plugin-kconfig.install:
    config_kde.so instead of config_kde4.so
  * Dropped patches applied in new version:
    - 0001-pacrunner_webkit-allow-linking-against-javascriptcor.patch
    - dont_segfault_on_exit.patch
    - fix-mozjs-detection.patch

  [ Iain Lane ]
  * debian/rules: Use pyversions -d

 -- Jeremy Bicha <jbicha@linux.com>  Thu, 10 Nov 2016 12:57:09 +0000

libproxy (0.4.11-5) unstable; urgency=medium

  [ Peter Pentchev ]
  * Add explicit zlib build-dependency (Closes: #758465)
  * Break a couple of build dependency loops (Closes: #758466)
  * Add build profile annotations to debian/control (Closes: #758467)

  [ Andreas Henriksson ]
  * Build-depend on dpkg-dev (>= 1.17.2) and bump debhelper to >= 9.20140227
    - these versions introduced build profiles support.
  * Bump Standards-Version to 3.9.5

  [ Iain Lane ]
  * Ack the NMUs, thanks!
  * Fix the build profiles syntax to the current version.
  * debian/patches/0001-pacrunner_webkit-allow-linking-against-javascriptcor.patch:
    Cherry-pick - allow building against webkit2gtk. Update BDs too.
  * Add Enhances: from the plugin packages to the library so that people can
    find them easier. (Closes: #768435, #768437)
  * Use the substvar we just added to add Depends on our shared package.

 -- Iain Lane <laney@debian.org>  Tue, 16 Feb 2016 13:17:41 +0000

libproxy (0.4.11-4.2) unstable; urgency=medium

  * Non maintainer upload.
  * libproxy1-plugin-mozjs: Fix dependency on new libproxy1v5.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 21:42:23 +0200

libproxy (0.4.11-4.1) unstable; urgency=medium

  * Non maintainer upload.
  * Rename library libproxy1 -> libproxy1v5, needed as a follow-up transition
    for the libstdc++6 ABI changes (patch by Sebastien Bacher).
    Addresses: #794402.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:15:37 +0200

libproxy (0.4.11-4) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 03 Nov 2013 13:34:28 +0100

libproxy (0.4.11-3) experimental; urgency=low

  * debian/control.in: Build-depend on netbase, this will hopefully fix the
    FTBFS

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Oct 2013 16:06:21 +0200

libproxy (0.4.11-2) experimental; urgency=low

  * debian/control.in: Only build networkmanager plugin on linux-any
    architectures
  * Drop debian/libproxy1.symbols: .symbols file with C++ libraries is just a
    nightmare, rely on the good old shlibs file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Sep 2013 13:34:14 +0200

libproxy (0.4.11-1) experimental; urgency=low

  * Upload new upstream release to debian, thanks to the Ubuntu guys for the
    changes (Closes: #604934)
  * Re-enable mozjs plugin, this new version is built against mozjs185, this
    fix the current FTBFS and the stability of the ABI/API we build against
    (Closes: #707419, #722685)
  * debian/rules:
    - Re-add uploaders.mk magic
    - Bump SHLIBVER to 0.4.11
    - Make the build fails if symbols are missing the .symbols file
  * debian/patches/fix-mozjs-detection.patch: Properly detect mozjs, patch
    from upstream VCS.
  * debian/libproxy1.symbols: Add symbols file
  * debian/watch: Update to work with Google Code website, again.
  * debian/proxy.1, debian/libproxy-tools.manpages: Install a manpage for the
    proxy command (Closes: #660327)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Sep 2013 15:35:03 +0200

libproxy (0.4.11-0ubuntu2) saucy; urgency=low

  * debian/patches/dont_segfault_on_exit.patch:
    - drop buggy unref calls to fix a segfault (lp: #1182043)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2013 13:20:43 +0200

libproxy (0.4.11-0ubuntu1) raring; urgency=low

  * New upstream release
    - Build fixes with cmake 2.8.10+
    - Quick release without built binaries / files
      + Remove these from debian/clean
  * debian/watch: Update to work with current Google Code website (once more
    with feeling)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 10 Jan 2013 12:17:22 +0000

libproxy (0.4.10-0ubuntu1) raring; urgency=low

  * New upstream release 0.4.10 (LP: #1078915). Selected fixes since 0.4.7:
    - Fix infinite loop uppon network errors
    - Only support standalone mozjs185 as mozilla js engine.  xulrunner being
      part of the now lightning fast moving firefox is impossible to be tracked
      as a dependency and it is not supported by Mozilla to be used in this
      scenario.
    - Support building with javascritpcoregtk 1.5 (got split out of webkitgtk).
  * debian/watch: Update to work with Google code again .
  * Remove all patches - all applied upstream.
  * Clean accidently shipped built binaries to ensure we ship those built from
    this source.
  * debian/patches/disable-pac-test.patch: Steal patch from Gentoo to disable
    the get-pac-test which hangs when run from the build.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add basic compile/link/run autopkgtest - thanks to Rafal Cieślak (LP:
    #1079102)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Nov 2012 12:06:57 +0000

libproxy (0.4.7-0ubuntu6) quantal; urgency=low

  * debian/patches/CVE-2012-4504.patch: Cherry-pick upstream r853 to fix
    buffer overflow when downloading large PAC files.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 10 Oct 2012 17:56:14 +0100

libproxy (0.4.7-0ubuntu5) quantal; urgency=low

  * debian/patches/libproxy-gcc-4.7.diff: Cherry-pick patch from upstream svn
    r833 to fix FTBFS with GCC-4.7 due to missing includes.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 25 Sep 2012 12:51:03 +0100

libproxy (0.4.7-0ubuntu4) precise; urgency=low

  * Re-enable webkit pacrunner and build it into its own module package
    (adding a patch to the upstream build system required to achieve this).
    (LP: #934088)
  * Build with webkit3.

 -- Iain Lane <laney@ubuntu.com>  Fri, 17 Feb 2012 10:10:45 +0000

libproxy (0.4.7-0ubuntu3) precise; urgency=low

  * Drop libwebkitgtk-dev build dependency. We just got rid of the old
    webkit-gtk2 stack, we don't want to pull that back in. We already had to
    disable the webkit plugin as this needs mozjs. (LP: #933913)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Feb 2012 07:54:22 +0100

libproxy (0.4.7-0ubuntu2) precise; urgency=low

  * debian/control: Drop mozjs build dependency and mozjs/webkit plugin
    packages, mozjs is in universe (and supposed to stay there).
  * debian/rules: Disable WITH_MOZJS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Feb 2012 16:21:24 +0100

libproxy (0.4.7-0ubuntu1) precise; urgency=low

  [ Iain Lane ]
  * New upstream release.
  * Convert to dh7.
  * SONAME bump, rename packages accordingly
  * Remove obsolete patches
  * Add CLI/Vala bindings.
  * Also install vala bindings (in -dev package)
  * Update Standards-Version to 3.9.2
  * Split modules into individual packages
  * Link with --as-needed to avoid unnecessary deps
  * Update copyright
  * Make library multiarch compatible

  [ Ken VanDine ]
  * Build against libmozjs185.

 -- Iain Lane <laney@debian.org>  Wed, 15 Feb 2012 14:42:54 +0100

libproxy (0.3.1-6) unstable; urgency=low

  * Swap libmozjs and webkitgtk Recommends. Closes: #699788.

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Feb 2013 08:59:26 +0100

libproxy (0.3.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix cve-2012-4505: buffer overflow in lib/pac.c (closes: #690376).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Oct 2012 04:44:22 -0400

libproxy (0.3.1-5) unstable; urgency=low

  [ Kees Cook ]
  * debian/{control,rules,*.install}: Convert to Multi-Arch. Closes: #651491

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.3.
  * Update Vcs-* URLs.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 May 2012 21:12:36 +0200

libproxy (0.3.1-4) unstable; urgency=low

  * debian/patches/03_format-security.patch:
    - Fix build failure with [-Werror=format-security]. Closes: #643433
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Don't hard-code the Recommends on libwebkitgtk-1.0-0 | libmozjs6d.
    Instead filter out the correct library package names as found by
    dpkg-shlibdeps and set them via substvars.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Oct 2011 03:28:17 +0200

libproxy (0.3.1-3) unstable; urgency=low

  * Use linux-any wildcard. Closes: #634464.
  * Migrate to libwebkitgtk* dependencies. Closes: #635416.
  * Migrate to dh_python2. Closes: #635140.
  * Build-depend on mozjs >= 6, require libmozjs6d. Closes: #638942.
  * Switch to 3.0 quilt format.
  * 02_url_user.patch: patch from Florian Echtler to fix incorrect
    parsing of URLs containing user and port but no password.
    Closes: #635684.

 -- Josselin Mouette <joss@debian.org>  Tue, 23 Aug 2011 23:11:55 +0200

libproxy (0.3.1-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/libproxy_link_against_libdl.patch:
    - Removed, configure.ac already adds the correct check so this is not
      needed anymore.

  [ Josselin Mouette ]
  * 01_pac_http.patch: new patch from Julien Blache. Don’t assume HTTP
    header names are case sensitive. Closes: #600196.
  * Re-enable webkit support. The build-dependency loop is not a problem
    for a stable release. (But the issue will arise again later.)
  * Recommend libwebkit-1.0-2 | libmozjs2d. Closes: #597864.

 -- Josselin Mouette <joss@debian.org>  Tue, 19 Oct 2010 08:46:05 +0200

libproxy (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash when parsing .pac file. Closes: #550179.
    - debian/patches/10_configure-check-for-dbus.patch,
      debian/patches/60_am-prog-cc-c-o.patch:
      + Removed, fixed upstream.
    - debian/control.in:
      + Build depend on gconf2 instead of libgconf2-dev.
      + Build depend on kdelibs5-dev and libqt4-dev for the KDE4 plugin.
    - debian/patches/50_px-wpad-fallback-env-var.patch,
      debian/rules:
      + Remove patch, don't install wpad_dnsdevolution.so now.
    - debian/patches/70_autotools.patch:
      + Removed, no longer needed.
    - debian/libproxy0.install,
      debian/rules:
      + s/plugins/modules/ following the upstream change.
  * debian/control.in:
    - Update my maintainer email address.
    - Standards-Version is 3.8.3, no changes needed.
    - libproxy-tools is section utils.
  * debian/watch:
    - Look for bzip2 tarballs.
  * debian/patches/libproxy_link_against_libdl.patch:
    - Link with -ldl for dlopen et al. Closes: #558920.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 12 Dec 2009 01:56:54 +0100

libproxy (0.2.3-4) unstable; urgency=low

  * Don't build NetworkManager support on non-Linux platforms. Thanks
    Samuel Thibault. Closes: #534939.
  * Standards-Version is 3.8.2, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 28 Jun 2009 20:35:04 +0200

libproxy (0.2.3-3) unstable; urgency=low

  * Stop building the webkit plugin for now, we have a circular build-
    dependency with webkit. Instead, build the mozjs one, so that we can
    still read PAC files.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 29 Apr 2009 20:55:50 +0200

libproxy (0.2.3-2) unstable; urgency=low

  * debian/patches/50_px-wpad-fallback-env-var.patch:
    - Fix logic to not bypass the config plugin when the env variable
      isn't set. We don't do wpad fallback if the env variable isn't set,
      but there's not reason to ignore the config file if one is provided.
      See https://launchpad.net/bugs/354475.
  * Standards-Version is 3.8.1, no changes needed.
  * debian/copyright: Add copyright note for pacutils.js

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 25 Apr 2009 14:25:10 +0200

libproxy (0.2.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Initial release (Closes: #509063).
  * Fix if/else logic and a wrong free in 50_px-wpad-fallback-env-var.

  [ Loic Minier ]
  * Set libproxy-dev Arch: any; too small win to warrant installability issues
    on slow arches.
  * Drop shlibs:Depends from python-libproxy as it's Arch: all.
  * Drop gnome-get-source.mk include as it's not working by default.
  * Rename patch configure_check_for_dbus to 10_configure-check-for-dbus.
  * Run a full autoreconf instead of only autoconf.
    - New patch, 60_am-prog-cc-c-o, makes newer autoconfs happier.
    - New patch, 70_autotools, split autotools generated files here to force
      them to be applied last and avoid timestamp skews issues.
    Thanks Sébastien Bacher and Ubuntu for the above.
  * New patch, 50_px-wpad-fallback-env-var, check PX_WPAD_FALLBACK env var to
    decide whether to fall back to wpad:// style autodetection or not,
    defaulting to not fallback when the env var isn't set.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 03 Mar 2009 01:11:35 +0100
